< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
-  package status
  Definition Classes
    dec
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomSeqModule
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- EntryStatus
- ExportCountry
- Freight
- GoodsItem
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- InventoryLinkingMovementResponse
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- Response
- ResponseAdditionalInformation
- ResponseAmendment
- ResponseAppealOffice
- ResponseBank
- ResponseCommodity
- ResponseCommodityDutyTaxFee
- ResponseCommunication
- ResponseContactOffice
- ResponseDateTimeElement
- ResponseDeclaration
- ResponseDutyTaxFee
- ResponseDutyTaxFeePayment
- ResponseError
- ResponseGoodsShipment
- ResponseGovernmentAgencyGoodsItem
- ResponseObligationGuarantee
- ResponsePayment
- ResponsePointer
- ResponseStatus
- RoleBasedParty
- Seal
- SeqDeserializationModifier
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- TypeCodeValue
- TypeCodeValues
- Ucr
- UcrBlock
- ValuationAdjustment
- Warehouse
- WriteOff

c

uk.gov.hmrc.wco.dec

# UcrBlock 

###

#### case class UcrBlock(ucr: String, ucrType: String) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UcrBlock
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new UcrBlock(ucr: String, ucrType: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
14.  val ucr: String
15.  val ucrType: String
16.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped